%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Validate_IS
Summary:	%{_pearname} - Validation class for Iceland
Summary(pl.UTF-8):	%{_pearname} - Klasa sprawdzająca poprawność dla Islandii
Name:		php-pear-%{_pearname}
Version:	0.3.1
Release:	2
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e4cdd95ea968518dc3da28eeabd664db
URL:		http://pear.php.net/package/Validate_IS/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php(ctype)
Requires:	php-pear
Obsoletes:	php-pear-Validate_IS-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes locale validation for IS (Iceland) such as:
- SSN
- Postal Code
- Address
- Telephone

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności dla Islandii danych takich jak:
- numer ubezpieczenia społecznego (SSN)
- kod pocztowy
- adres
- numer telefonu

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/IS.php
%{php_pear_dir}/data/Validate_IS
%changelog
* Wed Aug 29 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Validate_IS.git;a=log;h=master

* Wed Aug 29 2012 Elan Ruusamäe <glen@delfi.ee> eaece95
- release 1 (by relup.sh)

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> cb06bb1
- use php(core) for php engine version deps
- release 3 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 0bf4ccc
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> a725a2a
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 7de9a8f
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 8bfeb2a
- updated to: 0.3.0

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 71c0e15
- updated deps with pearize.sh
- release 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 38450ce
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0a3f1dd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4cdcaf4
- converted to UTF-8

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> e10e216
- updated to 0.2.0

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 20cbb59
- BR rpm-build macros >= 1.300 for %pear_ macros

* Fri Apr 28 2006 Jakub Bogusz <qboosh@pld-linux.org> b6b769a
- missing dirs, pl cosmetic, explicit Epoch (used in -tests)

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> 4bc49f6
- new

